import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_BatchDeleteRecipeVersionCommand, se_BatchDeleteRecipeVersionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class BatchDeleteRecipeVersionCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSGlueDataBrew", "BatchDeleteRecipeVersion", {})
    .n("DataBrewClient", "BatchDeleteRecipeVersionCommand")
    .f(void 0, void 0)
    .ser(se_BatchDeleteRecipeVersionCommand)
    .de(de_BatchDeleteRecipeVersionCommand)
    .build() {
}
