import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { BatchDeleteRecipeVersionCommandInput, BatchDeleteRecipeVersionCommandOutput } from "../commands/BatchDeleteRecipeVersionCommand";
import { CreateDatasetCommandInput, CreateDatasetCommandOutput } from "../commands/CreateDatasetCommand";
import { CreateProfileJobCommandInput, CreateProfileJobCommandOutput } from "../commands/CreateProfileJobCommand";
import { CreateProjectCommandInput, CreateProjectCommandOutput } from "../commands/CreateProjectCommand";
import { CreateRecipeCommandInput, CreateRecipeCommandOutput } from "../commands/CreateRecipeCommand";
import { CreateRecipeJobCommandInput, CreateRecipeJobCommandOutput } from "../commands/CreateRecipeJobCommand";
import { CreateRulesetCommandInput, CreateRulesetCommandOutput } from "../commands/CreateRulesetCommand";
import { CreateScheduleCommandInput, CreateScheduleCommandOutput } from "../commands/CreateScheduleCommand";
import { DeleteDatasetCommandInput, DeleteDatasetCommandOutput } from "../commands/DeleteDatasetCommand";
import { DeleteJobCommandInput, DeleteJobCommandOutput } from "../commands/DeleteJobCommand";
import { DeleteProjectCommandInput, DeleteProjectCommandOutput } from "../commands/DeleteProjectCommand";
import { DeleteRecipeVersionCommandInput, DeleteRecipeVersionCommandOutput } from "../commands/DeleteRecipeVersionCommand";
import { DeleteRulesetCommandInput, DeleteRulesetCommandOutput } from "../commands/DeleteRulesetCommand";
import { DeleteScheduleCommandInput, DeleteScheduleCommandOutput } from "../commands/DeleteScheduleCommand";
import { DescribeDatasetCommandInput, DescribeDatasetCommandOutput } from "../commands/DescribeDatasetCommand";
import { DescribeJobCommandInput, DescribeJobCommandOutput } from "../commands/DescribeJobCommand";
import { DescribeJobRunCommandInput, DescribeJobRunCommandOutput } from "../commands/DescribeJobRunCommand";
import { DescribeProjectCommandInput, DescribeProjectCommandOutput } from "../commands/DescribeProjectCommand";
import { DescribeRecipeCommandInput, DescribeRecipeCommandOutput } from "../commands/DescribeRecipeCommand";
import { DescribeRulesetCommandInput, DescribeRulesetCommandOutput } from "../commands/DescribeRulesetCommand";
import { DescribeScheduleCommandInput, DescribeScheduleCommandOutput } from "../commands/DescribeScheduleCommand";
import { ListDatasetsCommandInput, ListDatasetsCommandOutput } from "../commands/ListDatasetsCommand";
import { ListJobRunsCommandInput, ListJobRunsCommandOutput } from "../commands/ListJobRunsCommand";
import { ListJobsCommandInput, ListJobsCommandOutput } from "../commands/ListJobsCommand";
import { ListProjectsCommandInput, ListProjectsCommandOutput } from "../commands/ListProjectsCommand";
import { ListRecipesCommandInput, ListRecipesCommandOutput } from "../commands/ListRecipesCommand";
import { ListRecipeVersionsCommandInput, ListRecipeVersionsCommandOutput } from "../commands/ListRecipeVersionsCommand";
import { ListRulesetsCommandInput, ListRulesetsCommandOutput } from "../commands/ListRulesetsCommand";
import { ListSchedulesCommandInput, ListSchedulesCommandOutput } from "../commands/ListSchedulesCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { PublishRecipeCommandInput, PublishRecipeCommandOutput } from "../commands/PublishRecipeCommand";
import { SendProjectSessionActionCommandInput, SendProjectSessionActionCommandOutput } from "../commands/SendProjectSessionActionCommand";
import { StartJobRunCommandInput, StartJobRunCommandOutput } from "../commands/StartJobRunCommand";
import { StartProjectSessionCommandInput, StartProjectSessionCommandOutput } from "../commands/StartProjectSessionCommand";
import { StopJobRunCommandInput, StopJobRunCommandOutput } from "../commands/StopJobRunCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateDatasetCommandInput, UpdateDatasetCommandOutput } from "../commands/UpdateDatasetCommand";
import { UpdateProfileJobCommandInput, UpdateProfileJobCommandOutput } from "../commands/UpdateProfileJobCommand";
import { UpdateProjectCommandInput, UpdateProjectCommandOutput } from "../commands/UpdateProjectCommand";
import { UpdateRecipeCommandInput, UpdateRecipeCommandOutput } from "../commands/UpdateRecipeCommand";
import { UpdateRecipeJobCommandInput, UpdateRecipeJobCommandOutput } from "../commands/UpdateRecipeJobCommand";
import { UpdateRulesetCommandInput, UpdateRulesetCommandOutput } from "../commands/UpdateRulesetCommand";
import { UpdateScheduleCommandInput, UpdateScheduleCommandOutput } from "../commands/UpdateScheduleCommand";
/**
 * serializeAws_restJson1BatchDeleteRecipeVersionCommand
 */
export declare const se_BatchDeleteRecipeVersionCommand: (input: BatchDeleteRecipeVersionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateDatasetCommand
 */
export declare const se_CreateDatasetCommand: (input: CreateDatasetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateProfileJobCommand
 */
export declare const se_CreateProfileJobCommand: (input: CreateProfileJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateProjectCommand
 */
export declare const se_CreateProjectCommand: (input: CreateProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateRecipeCommand
 */
export declare const se_CreateRecipeCommand: (input: CreateRecipeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateRecipeJobCommand
 */
export declare const se_CreateRecipeJobCommand: (input: CreateRecipeJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateRulesetCommand
 */
export declare const se_CreateRulesetCommand: (input: CreateRulesetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateScheduleCommand
 */
export declare const se_CreateScheduleCommand: (input: CreateScheduleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteDatasetCommand
 */
export declare const se_DeleteDatasetCommand: (input: DeleteDatasetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteJobCommand
 */
export declare const se_DeleteJobCommand: (input: DeleteJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteProjectCommand
 */
export declare const se_DeleteProjectCommand: (input: DeleteProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteRecipeVersionCommand
 */
export declare const se_DeleteRecipeVersionCommand: (input: DeleteRecipeVersionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteRulesetCommand
 */
export declare const se_DeleteRulesetCommand: (input: DeleteRulesetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteScheduleCommand
 */
export declare const se_DeleteScheduleCommand: (input: DeleteScheduleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeDatasetCommand
 */
export declare const se_DescribeDatasetCommand: (input: DescribeDatasetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeJobCommand
 */
export declare const se_DescribeJobCommand: (input: DescribeJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeJobRunCommand
 */
export declare const se_DescribeJobRunCommand: (input: DescribeJobRunCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeProjectCommand
 */
export declare const se_DescribeProjectCommand: (input: DescribeProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeRecipeCommand
 */
export declare const se_DescribeRecipeCommand: (input: DescribeRecipeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeRulesetCommand
 */
export declare const se_DescribeRulesetCommand: (input: DescribeRulesetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeScheduleCommand
 */
export declare const se_DescribeScheduleCommand: (input: DescribeScheduleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListDatasetsCommand
 */
export declare const se_ListDatasetsCommand: (input: ListDatasetsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListJobRunsCommand
 */
export declare const se_ListJobRunsCommand: (input: ListJobRunsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListJobsCommand
 */
export declare const se_ListJobsCommand: (input: ListJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListProjectsCommand
 */
export declare const se_ListProjectsCommand: (input: ListProjectsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListRecipesCommand
 */
export declare const se_ListRecipesCommand: (input: ListRecipesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListRecipeVersionsCommand
 */
export declare const se_ListRecipeVersionsCommand: (input: ListRecipeVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListRulesetsCommand
 */
export declare const se_ListRulesetsCommand: (input: ListRulesetsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListSchedulesCommand
 */
export declare const se_ListSchedulesCommand: (input: ListSchedulesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PublishRecipeCommand
 */
export declare const se_PublishRecipeCommand: (input: PublishRecipeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1SendProjectSessionActionCommand
 */
export declare const se_SendProjectSessionActionCommand: (input: SendProjectSessionActionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StartJobRunCommand
 */
export declare const se_StartJobRunCommand: (input: StartJobRunCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StartProjectSessionCommand
 */
export declare const se_StartProjectSessionCommand: (input: StartProjectSessionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StopJobRunCommand
 */
export declare const se_StopJobRunCommand: (input: StopJobRunCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateDatasetCommand
 */
export declare const se_UpdateDatasetCommand: (input: UpdateDatasetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateProfileJobCommand
 */
export declare const se_UpdateProfileJobCommand: (input: UpdateProfileJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateProjectCommand
 */
export declare const se_UpdateProjectCommand: (input: UpdateProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateRecipeCommand
 */
export declare const se_UpdateRecipeCommand: (input: UpdateRecipeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateRecipeJobCommand
 */
export declare const se_UpdateRecipeJobCommand: (input: UpdateRecipeJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateRulesetCommand
 */
export declare const se_UpdateRulesetCommand: (input: UpdateRulesetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateScheduleCommand
 */
export declare const se_UpdateScheduleCommand: (input: UpdateScheduleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1BatchDeleteRecipeVersionCommand
 */
export declare const de_BatchDeleteRecipeVersionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchDeleteRecipeVersionCommandOutput>;
/**
 * deserializeAws_restJson1CreateDatasetCommand
 */
export declare const de_CreateDatasetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateDatasetCommandOutput>;
/**
 * deserializeAws_restJson1CreateProfileJobCommand
 */
export declare const de_CreateProfileJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateProfileJobCommandOutput>;
/**
 * deserializeAws_restJson1CreateProjectCommand
 */
export declare const de_CreateProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateProjectCommandOutput>;
/**
 * deserializeAws_restJson1CreateRecipeCommand
 */
export declare const de_CreateRecipeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateRecipeCommandOutput>;
/**
 * deserializeAws_restJson1CreateRecipeJobCommand
 */
export declare const de_CreateRecipeJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateRecipeJobCommandOutput>;
/**
 * deserializeAws_restJson1CreateRulesetCommand
 */
export declare const de_CreateRulesetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateRulesetCommandOutput>;
/**
 * deserializeAws_restJson1CreateScheduleCommand
 */
export declare const de_CreateScheduleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateScheduleCommandOutput>;
/**
 * deserializeAws_restJson1DeleteDatasetCommand
 */
export declare const de_DeleteDatasetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteDatasetCommandOutput>;
/**
 * deserializeAws_restJson1DeleteJobCommand
 */
export declare const de_DeleteJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteJobCommandOutput>;
/**
 * deserializeAws_restJson1DeleteProjectCommand
 */
export declare const de_DeleteProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteProjectCommandOutput>;
/**
 * deserializeAws_restJson1DeleteRecipeVersionCommand
 */
export declare const de_DeleteRecipeVersionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteRecipeVersionCommandOutput>;
/**
 * deserializeAws_restJson1DeleteRulesetCommand
 */
export declare const de_DeleteRulesetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteRulesetCommandOutput>;
/**
 * deserializeAws_restJson1DeleteScheduleCommand
 */
export declare const de_DeleteScheduleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteScheduleCommandOutput>;
/**
 * deserializeAws_restJson1DescribeDatasetCommand
 */
export declare const de_DescribeDatasetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeDatasetCommandOutput>;
/**
 * deserializeAws_restJson1DescribeJobCommand
 */
export declare const de_DescribeJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeJobCommandOutput>;
/**
 * deserializeAws_restJson1DescribeJobRunCommand
 */
export declare const de_DescribeJobRunCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeJobRunCommandOutput>;
/**
 * deserializeAws_restJson1DescribeProjectCommand
 */
export declare const de_DescribeProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeProjectCommandOutput>;
/**
 * deserializeAws_restJson1DescribeRecipeCommand
 */
export declare const de_DescribeRecipeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeRecipeCommandOutput>;
/**
 * deserializeAws_restJson1DescribeRulesetCommand
 */
export declare const de_DescribeRulesetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeRulesetCommandOutput>;
/**
 * deserializeAws_restJson1DescribeScheduleCommand
 */
export declare const de_DescribeScheduleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeScheduleCommandOutput>;
/**
 * deserializeAws_restJson1ListDatasetsCommand
 */
export declare const de_ListDatasetsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListDatasetsCommandOutput>;
/**
 * deserializeAws_restJson1ListJobRunsCommand
 */
export declare const de_ListJobRunsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListJobRunsCommandOutput>;
/**
 * deserializeAws_restJson1ListJobsCommand
 */
export declare const de_ListJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListJobsCommandOutput>;
/**
 * deserializeAws_restJson1ListProjectsCommand
 */
export declare const de_ListProjectsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListProjectsCommandOutput>;
/**
 * deserializeAws_restJson1ListRecipesCommand
 */
export declare const de_ListRecipesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListRecipesCommandOutput>;
/**
 * deserializeAws_restJson1ListRecipeVersionsCommand
 */
export declare const de_ListRecipeVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListRecipeVersionsCommandOutput>;
/**
 * deserializeAws_restJson1ListRulesetsCommand
 */
export declare const de_ListRulesetsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListRulesetsCommandOutput>;
/**
 * deserializeAws_restJson1ListSchedulesCommand
 */
export declare const de_ListSchedulesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListSchedulesCommandOutput>;
/**
 * deserializeAws_restJson1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_restJson1PublishRecipeCommand
 */
export declare const de_PublishRecipeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PublishRecipeCommandOutput>;
/**
 * deserializeAws_restJson1SendProjectSessionActionCommand
 */
export declare const de_SendProjectSessionActionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SendProjectSessionActionCommandOutput>;
/**
 * deserializeAws_restJson1StartJobRunCommand
 */
export declare const de_StartJobRunCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartJobRunCommandOutput>;
/**
 * deserializeAws_restJson1StartProjectSessionCommand
 */
export declare const de_StartProjectSessionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartProjectSessionCommandOutput>;
/**
 * deserializeAws_restJson1StopJobRunCommand
 */
export declare const de_StopJobRunCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopJobRunCommandOutput>;
/**
 * deserializeAws_restJson1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UpdateDatasetCommand
 */
export declare const de_UpdateDatasetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateDatasetCommandOutput>;
/**
 * deserializeAws_restJson1UpdateProfileJobCommand
 */
export declare const de_UpdateProfileJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateProfileJobCommandOutput>;
/**
 * deserializeAws_restJson1UpdateProjectCommand
 */
export declare const de_UpdateProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateProjectCommandOutput>;
/**
 * deserializeAws_restJson1UpdateRecipeCommand
 */
export declare const de_UpdateRecipeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateRecipeCommandOutput>;
/**
 * deserializeAws_restJson1UpdateRecipeJobCommand
 */
export declare const de_UpdateRecipeJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateRecipeJobCommandOutput>;
/**
 * deserializeAws_restJson1UpdateRulesetCommand
 */
export declare const de_UpdateRulesetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateRulesetCommandOutput>;
/**
 * deserializeAws_restJson1UpdateScheduleCommand
 */
export declare const de_UpdateScheduleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateScheduleCommandOutput>;
